Bridge Training
AccountsId

Update an account

PATCH
/accounts/{id}

Path Parameters

id*string

Account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://loading/accounts/user_2abc123" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "email": "user@example.com",
  "displayName": "string",
  "firstName": "string",
  "lastName": "string",
  "organisationName": "string",
  "country": "string",
  "language": "string",
  "appLanguage": "string",
  "auctionSystem": {
    "id": "string",
    "identifier": "string",
    "labels": {
      "property1": "string",
      "property2": "string"
    },
    "sortOrder": 0
  },
  "isActive": true,
  "role": "string",
  "signupSource": "app",
  "isOrganisation": true,
  "showEmailPublicly": true,
  "avatarUrl": "string",
  "avatarTrusted": true,
  "preferences": {
    "dealsExplorer": {
      "viewMode": "grid",
      "columnVisibility": {
        "property1": true,
        "property2": true
      },
      "columnOrder": [
        "string"
      ]
    },
    "groupsList": {
      "viewMode": "table"
    },
    "sessionsList": {
      "viewMode": "list"
    },
    "shareTemplates": {
      "mail": {
        "subject": "string",
        "body": [
          {
            "type": "paragraph",
            "children": [
              {
                "type": "text",
                "text": "string",
                "bold": true,
                "italic": true
              }
            ]
          }
        ]
      },
      "whatsapp": {
        "body": [
          {
            "type": "paragraph",
            "children": [
              {
                "type": "text",
                "text": "string",
                "bold": true,
                "italic": true
              }
            ]
          }
        ]
      }
    },
    "theme": "light"
  },
  "onboardedAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "code": "string",
  "message": "string",
  "meta": {
    "property1": null,
    "property2": null
  }
}